package cn.com.infosec.crypto.tls;

import java.io.OutputStream;

public class TlsOuputStream extends OutputStream {
   private byte[] buf = new byte[1];
   private TlsProtocolHandler handler;

   TlsOuputStream(TlsProtocolHandler handler) {
      this.handler = handler;
   }

   public void write(byte[] buf, int offset, int len) {
      this.handler.writeData(buf, offset, len);
   }

   public void write(int arg0) {
      TlsOuputStream var10000 = this;
      byte[] var2;
      (var2 = this.buf)[0] = (byte)arg0;
      var10000.write(var2, 0, 1);
   }

   /** @deprecated */
   public void cose() {
      this.handler.close();
   }

   public void close() {
      this.handler.close();
   }

   public void flush() {
      this.handler.flush();
   }
}
